net.sf.jasperreports.engine.export

## Class JRCsvExporterParameter

- java.lang.Object
- - net.sf.jasperreports.engine.JRExporterParameter
  - - net.sf.jasperreports.engine.export.JRCsvExporterParameter

- Direct Known Subclasses:
    JRCsvMetadataExporterParameter

  Deprecated.
  Replaced by `CsvExporterConfiguration`.

      public class JRCsvExporterParameter
      extends JRExporterParameter

  Version:
    $Id: JRCsvExporterParameter.java 6645 2013-10-30 13:13:58Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JRCsvExporterParameter` | `FIELD_DELIMITER` Deprecated. Replaced by `CsvExporterConfiguration.getFieldDelimiter()`.
    `static java.lang.String` | `PROPERTY_FIELD_DELIMITER` Deprecated. Replaced by `CsvExporterConfiguration.PROPERTY_FIELD_DELIMITER`.
    `static java.lang.String` | `PROPERTY_RECORD_DELIMITER` Deprecated. Replaced by `CsvExporterConfiguration.PROPERTY_RECORD_DELIMITER`.
    `static JRCsvExporterParameter` | `RECORD_DELIMITER` Deprecated. Replaced by `CsvExporterConfiguration.getRecordDelimiter()`.

    - ### Fields inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `CHARACTER_ENCODING, CLASS_LOADER, END_PAGE_INDEX, FILE_RESOLVER, FILTER, HYPERLINK_PRODUCER_FACTORY, IGNORE_PAGE_MARGINS, INPUT_FILE, INPUT_FILE_NAME, INPUT_STREAM, INPUT_URL, JASPER_PRINT, JASPER_PRINT_LIST, OFFSET_X, OFFSET_Y, OUTPUT_FILE, OUTPUT_FILE_NAME, OUTPUT_STREAM, OUTPUT_STRING_BUFFER, OUTPUT_WRITER, PAGE_INDEX, PARAMETERS_OVERRIDE_REPORT_HINTS, PROGRESS_MONITOR, PROPERTY_CHARACTER_ENCODING, PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS, PROPERTY_IGNORE_PAGE_MARGINS, START_PAGE_INDEX, URL_HANDLER_FACTORY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRCsvExporterParameter(java.lang.String name)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_DELIMITER

          public static final JRCsvExporterParameter FIELD_DELIMITER

      Deprecated. Replaced by `CsvExporterConfiguration.getFieldDelimiter()`.

    - #### PROPERTY_FIELD_DELIMITER

          public static final java.lang.String PROPERTY_FIELD_DELIMITER

      Deprecated. Replaced by `CsvExporterConfiguration.PROPERTY_FIELD_DELIMITER`.
      See Also:
        Constant Field Values

    - #### RECORD_DELIMITER

          public static final JRCsvExporterParameter RECORD_DELIMITER

      Deprecated. Replaced by `CsvExporterConfiguration.getRecordDelimiter()`.

    - #### PROPERTY_RECORD_DELIMITER

          public static final java.lang.String PROPERTY_RECORD_DELIMITER

      Deprecated. Replaced by `CsvExporterConfiguration.PROPERTY_RECORD_DELIMITER`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRCsvExporterParameter

          protected JRCsvExporterParameter(java.lang.String name)

      Deprecated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com